<?php
///////////////////////////////////////////////////////////////////////////////////////
// PHPizabi 0.848b C1 [ALICIA]                               http://www.phpizabi.net //
///////////////////////////////////////////////////////////////////////////////////////
// Please read the license.txt file before using / modifying this software           //
// Original author:         Claude Desjardins, R - feedback@realitymedias.com        //
// Last modification date:  August 13th 2006                                         //
// Version:                 PHPizabi 0.848b C1                                       //
//                                                                                   //
// (C) 2005, 2006 Real!ty Medias / PHPizabi - All rights reserved                    //
///////////////////////////////////////////////////////////////////////////////////////

	/* Check Structure Availability */
	if (!defined("CORE_STRAP")) die("Out of structure call");
	/* Administrative restriction */
	(!me('is_administrator')&&!me('is_superadministrator')?die("Access restricted"):NULL);

	$tpl = new template;
	$tpl -> Load("locales");
	

	// Handle submit order ///////////////////////////////////////////////////////////
	if (isset($_POST["Submit"])) {
		$saveList = array(
			"LOCALE_SHORT_DATE_TIME",
			"LOCALE_SHORT_DATE",
			"LOCALE_SHORT_TIME",
			"LOCALE_LONG_DATE_TIME",
			"LOCALE_LONG_DATE",
			"LOCALE_LONG_TIME",
			"LOCALE_HEADER_TIME",
			"LOCALE_HEADER_DATE_TIME",
			"LOCALE_HEADER_DATE",
			"LOCALE_MONETARY_ISO639",
			"LOCALE_MONETARY_ISO3166",
			"LOCALE_MONETARY_STRINGFORMAT",
			"LOCALE_MONETARY_USEISO:639",
			"LOCALE_MONETARY_RETURNFLAT",
			"LOCALE_SITE_LANGUAGES",
			"LOCALE_LANGUAGE_ALLOW_OVERRIDE",
			"LOCALE_SITE_DEFAULT_LANGUAGE",
			"LOCALE_LANGUAGEPACK_LOCATION",
			"LOCALE_LANGUAGEPACK_TRYDEFAULT_ON_ERROR",
			"LOCALE_LANGUAGE_CACHE_ON_LOAD_SUCCESS",
			"LOCALE_SYSTEM_TIMEZONE",
			"LOCALE_FORCE_UTF8_HEADER_OVERRIDE"
		);
		
		foreach ($saveList as $saveEntry) {
			if (isset($_POST[$saveEntry])) _fnc("saveConfig", $saveEntry, $_POST[$saveEntry]);
			else _fnc("saveConfig", $saveEntry, 0);
		}
		$tpl -> Zone("save", "success");
	}
	
	// Replace tags for their actual values //////////////////////////////////////////
	$replaceTagsFor = array(
		"LOCALE_SHORT_DATE_TIME",
		"LOCALE_SHORT_DATE",
		"LOCALE_SHORT_TIME",
		"LOCALE_LONG_DATE_TIME",
		"LOCALE_LONG_DATE",
		"LOCALE_LONG_TIME",
		"LOCALE_HEADER_TIME",
		"LOCALE_HEADER_DATE_TIME",
		"LOCALE_HEADER_DATE",
		"LOCALE_MONETARY_ISO639",
		"LOCALE_MONETARY_ISO3166",
		"LOCALE_MONETARY_STRINGFORMAT",
		"LOCALE_SITE_LANGUAGES",
		"LOCALE_SITE_DEFAULT_LANGUAGE",
		"LOCALE_LANGUAGEPACK_LOCATION",
		"LOCALE_SYSTEM_TIMEZONE"
	);
	
	foreach ($replaceTagsFor as $confTag) $replaceArray["CONF.{$confTag}"] = $CONF[$confTag];
	$tpl -> AssignArray($replaceArray);
	
	// Checkmark checkmarkable boxes /////////////////////////////////////////////////
	$checkMarkFor = array(
		"LOCALE_MONETARY_USEISO:639",
		"LOCALE_MONETARY_RETURNFLAT",
		"LOCALE_LANGUAGE_ALLOW_OVERRIDE",
		"LOCALE_LANGUAGEPACK_TRYDEFAULT_ON_ERROR",
		"LOCALE_LANGUAGE_CACHE_ON_LOAD_SUCCESS",
		"LOCALE_FORCE_UTF8_HEADER_OVERRIDE"
	);
	
	foreach ($checkMarkFor as $ckMarkEntity) {
		$ckMarkArray["ck.{$ckMarkEntity}"] = (ckBool($CONF[$ckMarkEntity]) ? "checked=\"checked\"" : NULL);
	}
	$tpl -> AssignArray($ckMarkArray);	

	// TEMPLATE REPROCESS & FLUSH ////////////////////////////////////////////////////
	$tpl -> CleanZones();

	/* Get the frame templates, flush the TPL result into it */
	$frame = new template;
	$frame -> Load("!theme/{$GLOBALS["THEME"]}/templates/admin/frame.tpl");
	$frame -> AssignArray(array(
		"jump" => $tpl->Flush(1)
	));
	
	/* Assign Location Value */
	$locationArray = explode(".", $_GET["L"]);
	for ($i=0; $i<count($locationArray); $i++) {
		$locationAppendResult[] = $locationArray[$i];
		if ($i > 0) $location[] = "<a href=\"?L=".implode(".", $locationAppendResult)."\">{$locationArray[$i]}</a>";
	}
	$frame -> AssignArray(array("location" => implode(" &raquo; ", $location)));
	
	/* Set the forced chromeless mode, flush the template */
	$GLOBALS["CHROMELESS_MODE"] = 1;
	$frame -> Flush();
	
?>